import { createAsyncAction, errorResult, successResult } from "pullstate";
import fetch from "unfetch";

import { AuthStore } from "stores";

export const loadGroupMappings = createAsyncAction(
  async () => {
    try {
      const resp = await fetch("https://iapi.pirati.cz/v1/groups");
      const mappings = await resp.json();
      return successResult(mappings);
    } catch (err) {
      return errorResult([], err.toString());
    }
  },
  {
    postActionHook: ({ result }) => {
      if (!result.error) {
        AuthStore.update((state) => {
          state.groupMappings = result.payload;
        });
      }
    },
  }
);
